module Model ( Model(..)
             , InterleavedObj
             , modelPath
             ) where

import Paths_htanks
import Data.Obj3D.OpenGL (InterleavedObj)

data Model = ModelTank | ModelBullet | ModelBlock
             deriving (Eq, Ord, Show)

modelPath :: Model -> IO FilePath
modelPath t = getDataFileName $ "model/" ++ (name t) ++ ".obj"
    where
      name ModelTank = "tank"
      name ModelBullet = "bullet"
      name ModelBlock = "cube"
